
# Conditional build:
#
%define         orgname     sweeper
%define         _state      stable
%define         qtver       4.8.0
#
Summary:	System cleaner
Summary(pl.UTF-8):	sweeper
Name:		kde4-sweeper
Version:	4.10.4
Release:	1
License:	LGPL v2
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	eb6b0e0015b080e0b3bdafe6d0fbe0bb
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.6.3
BuildRequires:	kde4-kdelibs-devel >= %{_kdever}
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	kde4-kdeutils-sweeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
System cleaner.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sweeper
%{_desktopdir}/kde4/sweeper.desktop
%dir %{_datadir}/apps/sweeper
%{_datadir}/apps/sweeper/sweeperui.rc
%{_datadir}/dbus-1/interfaces/org.kde.sweeper.xml
%{_docdir}/kde/HTML/en/sweeper
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-sweeper.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8042308
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 521def3
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 370ef58
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> c13118d
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 6f5313f
- Own apps/sweeper dir
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> eb1dc1e
- Fixed files

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> be1cd8d
- Proper md5sum

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 4f38279
- Init commit

